# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Ringing-PlaceNotation.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 8;
BEGIN { use_ok('Ringing::PlaceNotation') };

my $pn;

$pn = new Ringing::PlaceNotation(6, '&-3-4-25-3-4-5,2');

isa_ok($pn, 'Ringing::PlaceNotation');

is($pn->format(), 'X3X4X25X3X4X5X4X3X25X4X3X2', 'Formatting 1');
is($pn->format(symmetry => 1), '&X3X4X25X3X4X5,2', 'Formatting 2');
is($pn->format(symmetry => 1, dots => 1), '&X.3.X.4.X.25.X.3.X.4.X.5,2',
	'Formatting 3');
is($pn->format(symmetry => 1, cross => '-'), '&-3-4-25-3-4-5,2',
	'Formatting 4');
is($pn->format(symmetry => 1, external => 1), '&X36X14X1256X36X14X56,12',
	'Formatting 5');

$pn = new Ringing::PlaceNotation(5,'3.1.5.1.5.1.5.1.5.1');

is($pn->format(symmetry => 1), '3,&1.5.1.5.1', 'Formatting Grandsire');


